at.chipkarte.client.dbas.soap

## Class Quittung

- Object
- - at.chipkarte.client.dbas.soap.Quittung

-     public class Quittung
      extends Object

  Empfangsbestätigung der Funktionen `createDatenblattAllgemeinesProgramm`, `createDatenblattPapAbstrich`, `createDatenblattKoloskopie`, `createDatenblattQZKKoloskopie`, `createDatenblattDmpDm2`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Quittung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnnahmezeitpunkt()` Datum der Annahme des Dokumentations-/Befundblattes am Server (Datum der Speicherung des Befundblattes am Server).
    `String` | `getDatenblattTyp()` Datenblatttyp.
    `byte[]` | `getSignatur()` Signatur der Empfangsbestätigung.
    `String` | `getSvNummer()` Sozialversicherungsnummer der SV-Person.
    `String` | `getSvtCode()` Code des Versicherungsträgers der SV-Person.
    `String` | `getUntersuchungsdatum()` Datum der Untersuchung.
    `String` | `getVpNummer()` Vertragspartnernummer.
    `void` | `setAnnahmezeitpunkt(String _annahmezeitpunkt)`
    `void` | `setDatenblattTyp(String _datenblattTyp)`
    `void` | `setSignatur(byte[] _signatur)`
    `void` | `setSvNummer(String _svNummer)`
    `void` | `setSvtCode(String _svtCode)`
    `void` | `setUntersuchungsdatum(String _untersuchungsdatum)`
    `void` | `setVpNummer(String _vpNummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Quittung

          public Quittung()

  - ### Method Detail

    - #### getUntersuchungsdatum

          public String getUntersuchungsdatum()

      Datum der Untersuchung.
      Format: TT.MM.JJJJ
      Returns:
        Untersuchungsdatum.

    - #### setUntersuchungsdatum

          public void setUntersuchungsdatum(String _untersuchungsdatum)

    - #### getDatenblattTyp

          public String getDatenblattTyp()

      Datenblatttyp.
      Mögliche Werte siehe `DatenblattConstants`.
      Format: maximal 3-stellig
      Returns:
        DatenblattTyp.

    - #### setDatenblattTyp

          public void setDatenblattTyp(String _datenblattTyp)

    - #### getAnnahmezeitpunkt

          public String getAnnahmezeitpunkt()

      Datum der Annahme des Dokumentations-/Befundblattes am Server (Datum der Speicherung des Befundblattes am Server).
      Format: TT.MM.JJJJ
      Returns:
        Annahmezeitpunkt.

    - #### setAnnahmezeitpunkt

          public void setAnnahmezeitpunkt(String _annahmezeitpunkt)

    - #### getSignatur

          public byte[] getSignatur()

      Signatur der Empfangsbestätigung.
      Returns:
        Signatur.

    - #### setSignatur

          public void setSignatur(byte[] _signatur)

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der SV-Person.
      Format: maximal 10-stellig
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String _svNummer)

    - #### getSvtCode

          public String getSvtCode()

      Code des Versicherungsträgers der SV-Person.
      Format: maximal 2-stellig
      Returns:
        SvtCode

    - #### setSvtCode

          public void setSvtCode(String _svtCode)

    - #### getVpNummer

          public String getVpNummer()

      Vertragspartnernummer.
      Format: maximal 6-stellig
      Returns:
        VpNummer

    - #### setVpNummer

          public void setVpNummer(String _vpNummer)